#!/usr/bin/env python

# program to automatically form file name of needed ionex file(s), download
# them, and uncompress them, saving much typing.
#
# Walter Brisken    Jun 15, 2002

from os import system
import sys

proto = 'ftp'
site = 'cddisa.gsfc.nasa.gov'
basedir = '/gps/products/ionex/'

if len(sys.argv) < 3:
	print 'Usage : %s <year> { <doy> | <doy1> <doy2> }'
	print ''
	print 'Range of doys (days of year) does not work around a year boundary'
else:
	doy1 = int(sys.argv[2])
	if len(sys.argv) > 3:
		doy2 = int(sys.argv[3]) + 1
	else:
		doy2 = doy1 + 1
	for doy in range(doy1, doy2):
		url = proto+'://'+site+basedir+sys.argv[1]+('/%03d'%doy) \
			+ ('/jplg%03d0.%si.Z' % (doy, sys.argv[1][2:]))
		print url
		command = 'wget ' + url
		system(command)
		command = 'uncompress jplg%03d0.%si.Z' % (doy, sys.argv[1][2:])
		system(command)
